Edit Menu Cycle Schedule

Edits an existing menu cycle schedule.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Setting the Update Mode

The update_type field can be used to define the scope of the changes made by a call to this endpoint. These options are possible:

  • ALL - will update the planned recipes of all instances;
  • CURRENT - will update the planned recipes of the current instance;
  • CURRENT_AND_FUTURE - will update the planned recipes of the current instance and of all future instances;
  • FUTURE - will update the planned recipes of all future instances.

This field defaults to ALL if no value is specified.

🚧

The update_type will be ignored in requests that modify a core attribute of a schedule.

Some attributes of a menu cycle schedule are considered its core attributes: start_date, end_date, duration_in_weeks, number_of_cycles, repeat_every_in_weeks

If your request includes any of these fields, the update_type will be ignored, and your changes will be applied to all instances, including planned recipes, regardless of the selected update mode. Proceed with caution!

To avoid unintended changes to recipe planning, it is recommended not to edit these core fields in conjunction with planned recipes.

Path Params
string
required

A Menu Cycle Schedule's ID.

Body Params
string

The name of the menu cycle schedule

date

The start date of the menu cycle schedule

int32

The duration of the menu cycle schedule in weeks. Must be between 1 and 15.

int32

The number of cycles in the menu cycle schedule. Must be between 1 and 100. It's required if end_date is not provided.

date

The end date of the menu cycle schedule. It's required if number_of_cycles is not provided.

int32

The number of weeks between each cycle start date. If not provided, each cycle will start after the end of the previous cycle.

string
enum
Defaults to Live

The status of the menu cycle schedule

Allowed:
string

The description of the menu cycle schedule

outlets
array of strings

A list of outlet IDs to be linked to the menu cycle schedule.

outlets
courses
array of objects

The courses and planned recipes of the menu cycle schedule.

courses
json
string
enum
Defaults to ALL
Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json